Bug 116454 - Foreground OLE object on top of a table cannot be moved with Alt+<arrow key> keyboard shortcuts after table cell has been resized with the same shortcuts
Summary: Foreground OLE object on top of a table cannot be moved with Alt+<arrow key> ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-03-17 16:46 UTC by Severo Raz
Modified: 2019-03-19 03:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Severo Raz 2018-03-17 16:46:30 UTC
To reproduce:
0. Open a new, blank Writer document
1. Insert a table (any size works, but use more than 1 column to see effects completely)
2. Insert OLE object (i.e. rectangle shape) and place in front of table
3. Select object inserted in step 2, hold Alt and press repeatedly any arrow key, as to move the object finely.

Result: the table cells are resized.

Expected result: the image should be moved.

Latest affected version tested: 6.0.2.1.0
Comment 1 Buovjaga 2018-03-17 17:08:02 UTC
Works fine here. What operating system you are using? By "in front" you mean "overlapping"?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 070dbae6b4dc497d6ae898e60203d25b0e608d73
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 17th 2018
Comment 2 Severo Raz 2018-03-18 02:18:01 UTC
(In reply to Buovjaga from comment #1)
> Works fine here. What operating system you are using? (...) 

Arch Linux, x86_64

> (...) By "in front" you mean "overlapping"?

Correct. I'm going to check with a clean slate of settings to see what happens.
Comment 3 Buovjaga 2018-03-18 07:24:42 UTC
(In reply to Severo Raz from comment #2)
> (In reply to Buovjaga from comment #1)
> > Works fine here. What operating system you are using? (...) 
> 
> Arch Linux, x86_64
> 
> > (...) By "in front" you mean "overlapping"?
> 
> Correct. I'm going to check with a clean slate of settings to see what
> happens.

You can try Help - Restart in safe mode and then Continue in safe mode.

I also tried with the stable with no problem.

Arch Linux 64-bit
Version: 6.0.2.1.0+
Build ID: 6.0.2-1
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 4 Severo Raz 2018-03-18 11:59:25 UTC
(In reply to Buovjaga from comment #3)
> (In reply to Severo Raz from comment #2)
> > (In reply to Buovjaga from comment #1)
> > > Works fine here. What operating system you are using? (...) 
> > 
> > Arch Linux, x86_64
> > 
> > > (...) By "in front" you mean "overlapping"?
> > 
> > Correct. I'm going to check with a clean slate of settings to see what
> > happens.
> 
> You can try Help - Restart in safe mode and then Continue in safe mode.
Thank you for that! I used to always log out, and back in with a guest account to run these kinds of tests.

Now, I have been able to narrow down the bug, but it definitely is there, as per what I just experimented.

The phenomenon is conditioned to the shape overlapping the table, even if just its border.

Now, to reproduce:
1. Place text cursor inside table, and press Alt+<arrow key> as to resize the current cell.
2. Now select the shape which overlaps the table, and press Alt+<arrow key> as to move the shape in fine steps.

When I do this on my end, instead of moving the shape, the cell selected in step 1 is resized and the shape doesn't move.
Comment 5 Buovjaga 2018-03-18 12:25:22 UTC
(In reply to Severo Raz from comment #4)
> The phenomenon is conditioned to the shape overlapping the table, even if
> just its border.
> 
> Now, to reproduce:
> 1. Place text cursor inside table, and press Alt+<arrow key> as to resize
> the current cell.
> 2. Now select the shape which overlaps the table, and press Alt+<arrow key>
> as to move the shape in fine steps.

Thanks, with these I repro (with step 0 being to insert the shape and move it over the table).

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 070dbae6b4dc497d6ae898e60203d25b0e608d73
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 17th 2018

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Severo Raz 2018-03-18 12:44:37 UTC
Thanks for confirming!
Comment 7 QA Administrators 2019-03-19 03:49:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug